MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Data Structures | Typedefs | Functions
TRAJ

## Modules
| Module overview

## Data Structures
struct | _TRAJ_Obj_
| Defines the trajectory (TRAJ) object. More...

## Typedefs
typedef struct _TRAJ_Obj_ | TRAJ_Obj
| Defines the trajectory (TRAJ) object. More...
typedef struct _TRAJ_Obj_ * | TRAJ_Handle
| Defines the TRAJ handle. More...
typedef struct _TRAJ_Obj_ | TRAJ_Obj
| Defines the trajectory (TRAJ) object. More...
typedef struct _TRAJ_Obj_ * | TRAJ_Handle
| Defines the TRAJ handle. More...

## Functions
static _iq | TRAJ_getIntValue (TRAJ_Handle handle)
| Gets the intermediate value for the trajectory. More...
static _iq | TRAJ_getMaxDelta (TRAJ_Handle handle)
| Gets the maximum delta value for the trajectory. More...
static _iq | TRAJ_getMaxValue (TRAJ_Handle handle)
| Gets the maximum value for the trajectory. More...
static _iq | TRAJ_getMinValue (TRAJ_Handle handle)
| Gets the minimum value for the trajectory. More...
static _iq | TRAJ_getTargetValue (TRAJ_Handle handle)
| Gets the target value for the trajectory. More...
TRAJ_Handle | TRAJ_init (void *pMemory, const size_t numBytes)
| Initializes the trajectory (TRAJ) object. More...
static void | TRAJ_setIntValue (TRAJ_Handle handle, const _iq intValue)
| Sets the intermediate value for the trajectory. More...
static void | TRAJ_setMaxDelta (TRAJ_Handle handle, const _iq maxDelta)
| Sets the maximum delta value for the trajectory. More...
static void | TRAJ_setMaxValue (TRAJ_Handle handle, const _iq maxValue)
| Sets the maximum value for the trajectory. More...
static void | TRAJ_setMinValue (TRAJ_Handle handle, const _iq minValue)
| Sets the minimum value for the trajectory. More...
static void | TRAJ_setTargetValue (TRAJ_Handle handle, const _iq targetValue)
| Sets the target value for the trajectory. More...
static void | TRAJ_run (TRAJ_Handle handle)
| Runs the trajectory (TRAJ) object. More...
static void | TRAJ_setIntValue (TRAJ_Handle handle, const float_t intValue)
| Sets the intermediate value for the trajectory. More...
static void | TRAJ_setMaxDelta (TRAJ_Handle handle, const float_t maxDelta)
| Sets the maximum delta value for the trajectory. More...
static void | TRAJ_setMaxValue (TRAJ_Handle handle, const float_t maxValue)
| Sets the maximum value for the trajectory. More...
static void | TRAJ_setMinValue (TRAJ_Handle handle, const float_t minValue)
| Sets the minimum value for the trajectory. More...
static void | TRAJ_setTargetValue (TRAJ_Handle handle, const float_t targetValue)
| Sets the target value for the trajectory. More...

## Detailed Description

## Data Structure Documentation

struct _TRAJ_Obj_

Defines the trajectory (TRAJ) object.

Definition at line 67 of file 32b/traj.h.

Data Fields
_iq | intValue | the intermediate value along the trajectory
float_t | intValue | the intermediate value along the trajectory
_iq | maxDelta | the maximum delta value for the trajectory generator
float_t | maxDelta | the maximum delta value for the trajectory generator
float_t | maxValue | the maximum value for the trajectory generator
_iq | maxValue | the maximum value for the trajectory generator
float_t | minValue | the minimum value for the trajectory generator
_iq | minValue | the minimum value for the trajectory generator
float_t | targetValue | the target value for the trajectory
_iq | targetValue | the target value for the trajectory

## Typedef Documentation

typedef struct _TRAJ_Obj_* TRAJ_Handle

Defines the TRAJ handle.

Definition at line 79 of file 32b/traj.h.

typedef struct _TRAJ_Obj_* TRAJ_Handle

Defines the TRAJ handle.

Definition at line 79 of file float/traj.h.

typedef struct _TRAJ_Obj_ TRAJ_Obj

Defines the trajectory (TRAJ) object.

typedef struct _TRAJ_Obj_ TRAJ_Obj

Defines the trajectory (TRAJ) object.

## Function Documentation

static _iq TRAJ_getIntValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the intermediate value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The intermediate value

Definition at line 92 of file 32b/traj.h.

References _TRAJ_Obj_::intValue.

Referenced by CTRL_getSpd_int_ref_pu(), CTRL_runOnLine(), CTRL_runOnLine_User(), CTRL_setup(), and TRAJ_run().

static _iq TRAJ_getMaxDelta | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the maximum delta value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The maximum delta value

Definition at line 103 of file 32b/traj.h.

References _TRAJ_Obj_::maxDelta.

Referenced by TRAJ_run().

static _iq TRAJ_getMaxValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the maximum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The maximum value

Definition at line 114 of file 32b/traj.h.

References _TRAJ_Obj_::maxValue.

Referenced by TRAJ_run().

static _iq TRAJ_getMinValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the minimum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The minimum value

Definition at line 125 of file 32b/traj.h.

References _TRAJ_Obj_::minValue.

Referenced by TRAJ_run().

static _iq TRAJ_getTargetValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the target value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The target value

Definition at line 136 of file 32b/traj.h.

References _TRAJ_Obj_::targetValue.

Referenced by CTRL_updateState(), and TRAJ_run().

TRAJ_Handle TRAJ_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the trajectory (TRAJ) object.

Parameters

  [in] | pMemory | A pointer to the memory for the trajectory (TRAJ) object
  [in] | numBytes | The number of bytes allocated for the trajectory object, bytes

Returns
  The trajectory (TRAJ) object handle

Definition at line 55 of file 32b/traj.c.

static void TRAJ_run | ( | TRAJ_Handle | handle | ) |
| inline static

Runs the trajectory (TRAJ) object.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Definition at line 218 of file 32b/traj.h.

References _IQsat, _TRAJ_Obj_::intValue, _TRAJ_Obj_::maxDelta, _TRAJ_Obj_::maxValue, _TRAJ_Obj_::minValue, _TRAJ_Obj_::targetValue, TRAJ_getIntValue(), TRAJ_getMaxDelta(), TRAJ_getMaxValue(), TRAJ_getMinValue(), TRAJ_getTargetValue(), and TRAJ_setIntValue().

static void TRAJ_setIntValue | ( | TRAJ_Handle | handle,
|  | const float_t | intValue
| ) |  |
| inline static

Sets the intermediate value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | intValue | The intermediate value

Definition at line 154 of file float/traj.h.

References _TRAJ_Obj_::intValue.

Referenced by TRAJ_run().

static void TRAJ_setIntValue | ( | TRAJ_Handle | handle,
|  | const _iq | intValue
| ) |  |
| inline static

Sets the intermediate value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | intValue | The intermediate value

Definition at line 154 of file 32b/traj.h.

References _TRAJ_Obj_::intValue.

Referenced by CTRL_setParams(), CTRL_setSpdMax(), and TRAJ_run().

static void TRAJ_setMaxDelta | ( | TRAJ_Handle | handle,
|  | const float_t | maxDelta
| ) |  |
| inline static

Sets the maximum delta value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | maxDelta | The maximum delta value

Definition at line 167 of file float/traj.h.

References _TRAJ_Obj_::maxDelta.

static void TRAJ_setMaxDelta | ( | TRAJ_Handle | handle,
|  | const _iq | maxDelta
| ) |  |
| inline static

Sets the maximum delta value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | maxDelta | The maximum delta value

Definition at line 167 of file 32b/traj.h.

References _TRAJ_Obj_::maxDelta.

Referenced by CTRL_setParams().

static void TRAJ_setMaxValue | ( | TRAJ_Handle | handle,
|  | const _iq | maxValue
| ) |  |
| inline static

Sets the maximum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | maxValue | The maximum value

Definition at line 180 of file 32b/traj.h.

References _TRAJ_Obj_::maxValue.

Referenced by CTRL_setParams().

static void TRAJ_setMaxValue | ( | TRAJ_Handle | handle,
|  | const float_t | maxValue
| ) |  |
| inline static

Sets the maximum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | maxValue | The maximum value

Definition at line 180 of file float/traj.h.

References _TRAJ_Obj_::maxValue.

static void TRAJ_setMinValue | ( | TRAJ_Handle | handle,
|  | const float_t | minValue
| ) |  |
| inline static

Sets the minimum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | minValue | The minimum value

Definition at line 193 of file float/traj.h.

References _TRAJ_Obj_::minValue.

static void TRAJ_setMinValue | ( | TRAJ_Handle | handle,
|  | const _iq | minValue
| ) |  |
| inline static

Sets the minimum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | minValue | The minimum value

Definition at line 193 of file 32b/traj.h.

References _TRAJ_Obj_::minValue.

Referenced by CTRL_setParams().

static void TRAJ_setTargetValue | ( | TRAJ_Handle | handle,
|  | const float_t | targetValue
| ) |  |
| inline static

Sets the target value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | targetValue | The target value

Definition at line 206 of file float/traj.h.

References _TRAJ_Obj_::targetValue.

static void TRAJ_setTargetValue | ( | TRAJ_Handle | handle,
|  | const _iq | targetValue
| ) |  |
| inline static

Sets the target value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle
  [in] | targetValue | The target value

Definition at line 206 of file 32b/traj.h.

References _TRAJ_Obj_::targetValue.

Referenced by CTRL_setParams().